<?php
namespace App\Galileo\StructureParser\Structures\Ticketing;

class Relations extends \App\Galileo\StructureParser\Structures\Base\Base
{
	protected function _getData()
	{
		list($parsedStructure, , , ) = $this->getTransactionDetails();

		$item = new \App\Galileo\StructureParser\Types\Relations();

		$relation = new \App\Galileo\StructureParser\Types\Relation();

		$relation->docNumber = $parsedStructure['A10']['A10Details01']['A10TIT_docNumber'];
		$relation->relationType = 'reissue';

		$item->appendRelation($relation);

		return $item;
	}
}
